<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="StaffWithOpenRequests"
   BindingStyle="OracleName"
   CustomQuery="true"
   ComponentClass="oracle.srdemo.model.frameworkExt.SRViewObjectImpl"
   FetchMode="FETCH_AS_NEEDED"
   UseGlueCode="false" >
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd197f1-010a-1000-80d8-8d9088295bcf::::ViewObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <SQLQuery><![CDATA[
select distinct u.user_id, u.first_name, u.last_name
 from users u, service_requests s
where s.assigned_to = u.user_id
  and s.status <> 'Closed'
  and u.user_role in ('technician','manager')
   ]]></SQLQuery>
   <DesignTime>
      <Attr Name="_isExpertMode" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_objectSuperClassName" Value="oracle.srdemo.model.frameworkExt.SRViewObjectImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|VarAccess" />
   </DesignTime>
   <ViewAttribute
      Name="UserId"
      IsUpdateable="false"
      IsPersistent="false"
      IsNotNull="true"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      AliasName="USER_ID"
      Expression="USER_ID"
      SQLType="NUMERIC" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197f1-010a-1000-80d9-8d9088295bcf::queries.StaffWithOpenRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="22" />
      </DesignTime>
   </ViewAttribute>
   <ViewAttribute
      Name="FirstName"
      IsUpdateable="false"
      IsPersistent="false"
      IsNotNull="true"
      Precision="30"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      AliasName="FIRST_NAME"
      Expression="FIRST_NAME"
      SQLType="VARCHAR" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197f1-010a-1000-80da-8d9088295bcf::queries.StaffWithOpenRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="30" />
      </DesignTime>
   </ViewAttribute>
   <ViewAttribute
      Name="LastName"
      IsUpdateable="false"
      IsPersistent="false"
      IsNotNull="true"
      Precision="30"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      AliasName="LAST_NAME"
      Expression="LAST_NAME"
      SQLType="VARCHAR" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197f1-010a-1000-80db-8d9088295bcf::queries.StaffWithOpenRequests::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
      <DesignTime>
         <Attr Name="_DisplaySize" Value="30" />
      </DesignTime>
   </ViewAttribute>
   <AttrArray Name="KeyAttributes">
      <Item Value="UserId" />
   </AttrArray>
   <ViewLinkAccessor
      Name="ExpertiseAreas"
      ViewLink="oracle.srdemo.model.queries.viewlinks.ExpertiseAreasForStaffWithOpenRequests"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </ViewLinkAccessor>
   <ViewLinkAccessor
      Name="OpenOrPendingServiceRequests"
      ViewLink="oracle.srdemo.model.queries.viewlinks.OpenOrPendingRequestAssignedToStaffMember"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </ViewLinkAccessor>
</ViewObject>
